Bug 244911 - Review Request: olpc-logos - olpc-related icons and pictures
Review Request: olpc-logos - olpc-related icons and pictures
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-19 16:02 EDT by Rahul Sundaram
Modified: 2013-03-13 01:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-28 16:15:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2007-06-19 16:02:01 EDT
Spec URL: http://people.redhat.com/sundaram/olpc-logos.spec
SRPM URL: http://people.redhat.com/sundaram/olpc-logos-0.1-2.src.rpm
Description: 

The olpc-logos package (the "Packages") contain image files which
incorporate the OLPC trademarks and logos (the "Marks")
Comment 1 Patrice Dumas 2007-06-19 16:27:58 EDT
Are you sure that that package should 
Provides: redhat-logos
and not fedora-logos?  

Also it seems to me that it is forbidden to have a file
conflicting with the file from fedora-logos.

You should use
http://fedoraproject.org/wiki/Packaging/SourceURL#head-413e1c297803cfa9de0cc4c56f3ac384bff5dc9e

The Buildroot is not an acceptable one.

In any case I think that this package deserves a comment in the 
submission report and maybe in the spec.
Comment 2 John (J5) Palmieri 2007-06-19 17:57:41 EDT
We should most likely Provides both

> Also it seems to me that it is forbidden to have a file
> conflicting with the file from fedora-logos.

You mean since we don't provide it? Or is it always forbidden?

Comment 3 Patrice Dumas 2007-06-19 18:02:56 EDT
It seems to me that conflicting with other packages is more
or less forbidden except when there is a good reason. 
And since fedora-logos is always installed, this package
doesn't seems to be installable...

But maybe this package is special (for example only for
an olpc branch). In that case it should deserve a comment
explaining what this package is for. 
Comment 4 Rahul Sundaram 2007-06-19 18:06:28 EDT

Yes, this package is only meant for the OLPC branch. I will fix the build root
and post a updated spec file shortly. 
Comment 5 Rahul Sundaram 2007-06-19 18:29:25 EDT
Updated spec and SRPMS

http://people.redhat.com/sundaram/olpc-utils.spec
http://people.redhat.com/sundaram/olpc-logos-0.1-3.src.rpm

Thank you for the quick review. 
Comment 6 Rahul Sundaram 2007-06-19 18:32:27 EDT
err the correct spec is 

http://people.redhat.com/sundaram/olpc-logos.spec
Comment 7 Patrice Dumas 2007-06-20 04:54:54 EDT
* you should keep the timestamp of the file like
install -p -m 644 bootloader/grub-splash.xpm.gz %{buildroot}/boot/grub/splash.xpm.gz

* I guess this is only x86 but there is no need for 
  an ifarch because it is olpc only and olpc is only for x86? 
  If it is the case it deserves to be more explicitly said in a
  comment

* there should be a comment explaining the Conflicts/Obsolete/Provides  
  and the intended use of this package. Something along
# this package replaces fedora-logos on olpc and contains the
# only trademarked image file needed for olpc (the grub splash).
# it is not to be installed on a full fedora since it doesn't provide
# the artwork needed for the fedora packages.

* I am not convinced that the conflicts for old packages make 
  that much sense. I guess these conflicts come from files that
  were once in these packages but then moved to fedora-logos.
  However these files are not in olpc-logos. Maybe they could be 
  kept to help having olpc-logos remain similar with fedora-logos.

* Maybe the version should be set to 6.0.98 to match the fedora-logos
  version. Otherwise it cannot be installed along with a recent 
  redhat-artwork.

* It is not completly clear to me what provides olpc-logos should
  have. redhat-logos seems to be a remnant from pre-fedora era. 
  But what fedora-logos and system-logos mean as provides is not clear 
  to me:

$ rpm -q --provides fedora-logos 
redhat-logos = 6.0.98-4.fc8
system-logos = 6.0.98-4.fc8
fedora-logos = 6.0.98-4.fc8

$ repoquery --whatrequires fedora-logos
wdm-0:1.28-7.fc7.i386
tn5250-0:0.17.3-14.fc7.i386
crystal-clear-0:20050622-4.fc7.noarch

$ repoquery --whatrequires system-logos
gdm-1:2.19.3-1.fc8.i386
compiz-0:0.4.0-1.fc8.i386
redhat-artwork-0:7.0.0-10.fc8.i386
grub-0:0.97-13.i386
gnome-session-0:2.19.4-1.fc8.i386
gnome-screensaver-0:2.19.1.1-1.fc8.i386
firstboot-0:1.4.35-3.fc8.noarch
rhgb-0:0.17.6-1.fc7.i386
anaconda-0:11.3.0.3-1.i386

Maybe, for now, olpc-logos should not Provides fedora-logos but
only system-logos (and redhat-logos if you want).
Comment 8 John (J5) Palmieri 2007-06-20 12:21:46 EDT
yes system-logos seems like the correct provides
Comment 9 Jason Tibbitts 2007-07-03 22:28:55 EDT
It's been nearly two weeks; any progress with this package?  Patrice, did you
intend to review this?
Comment 10 Patrice Dumas 2007-07-04 02:58:37 EDT
Yes I intend to review it, but if somebody else wants, then fine.
But there are many issues I raised in Comment #7 that are not 
answered or acted upon.
Comment 11 Rahul Sundaram 2007-09-11 01:39:24 EDT
http://sundaram.fedorapeople.org/olpc-logos.spec
http://sundaram.fedorapeople.org/olpc-logos-0.1-4.src.rpm

There are a couple of warnings about missing documentation, unversioned provides
and invalid license tags but they don't apply for this package. 
Comment 12 Patrice Dumas 2007-09-11 04:02:57 EDT
For redhat-logos, the latest version I found that was in redhat 8 
(no redhat 9 on rpmbones), it was redhat-logos-1.1.6. Maybe 
obsoleting < 1.2.0 could be right and then providing 1.2.0. 
So I'll propose:

Obsoletes: redhat-logos < 1.2.0
Provides: redhat-logos = 1.2.0

Unversionned obsolete is always bad since it prevents others
to provide a package with the same name (here there is a trademark
issue, though, but still it would be better).

What about my comment:
* Maybe the version should be set to 6.0.98 to match the fedora-logos
  version. Otherwise it cannot be installed along with a recent 
  redhat-artwork.

Are you sure that 
Conflicts: kdebase <= 3.1.5
Conflicts: anaconda-images <= 10
Conflicts: redhat-artwork <= 5.0.5
is right? I checked on rpmbones that none of them had the
file which is also in that package. So in my opinion removing
those obsoletes would be cleaner.


All the other rpmlint issues seem ok to me.


Regarding the license, I am a bit unsure about it. is it
really 'All rights reserved.'? Does it mean that it cannot
be redistributed at all? Is it really a restrictive license, or
is there only a trademark?
Comment 13 Rahul Sundaram 2007-09-11 05:12:40 EDT
http://sundaram.fedorapeople.org/olpc-logos.spec
http://sundaram.fedorapeople.org/olpc-logos-0.1-5.src.rpm

I have added versioned provides as suggested. I think the conflicts were added
just to make sure we weren't including unnecessary packages. I have dropped them.

I haven't bumped up the version since this package isn't meant to be installed
in parallel with version of redhat-artwork package. OLPC doesn't. 

The license afaik is reserved because of the trademarked image. I will confirm
this with the team members later. Just as a confirmation, we won't be including
this package in Fedora ever other than the OLPC branch. 
Comment 14 Patrice Dumas 2007-09-11 05:25:15 EDT
(In reply to comment #13)
> http://sundaram.fedorapeople.org/olpc-logos.spec
> http://sundaram.fedorapeople.org/olpc-logos-0.1-5.src.rpm
> 
> I have added versioned provides as suggested. I think the conflicts were added
> just to make sure we weren't including unnecessary packages. I have dropped them.

No, I think the conflicts were introduced because files from
these packages were moved to fedora-logos or redhat-logos, so
conflicts has to be added since there is no dependency but
incompatibility only. Therefore it is not relevant for olpc.

> I haven't bumped up the version since this package isn't meant to be installed
> in parallel with version of redhat-artwork package. OLPC doesn't. 

Yes, but think about people wanting to install in a chroot,
test adding other stuff to olpc clone and so on and so forth.
In my opinion it is better if things are consistent in olpc
and fedora. This is not a blocker in any case.

> The license afaik is reserved because of the trademarked image. I will confirm
> this with the team members later. Just as a confirmation, we won't be including
> this package in Fedora ever other than the OLPC branch. 

Of course, and this is now documented in the spec file. However
it seems to me that the terms of licensing of the package should
be clearer, in my opinion it is confusing to use a restricted
copyright license for a trademark protection. Otherwise said, it
should be possible for a user to know what he can and can't do 
with this package, this isn't the case currently.
Comment 15 Rahul Sundaram 2007-09-11 05:48:16 EDT
OLPC logos isn't going to be bumped in parallel for new Fedora releases. I am
not sure it makes sense to do it now unless it is going to continuously
maintained that way. 

The interaction between trademark and copyright is a complex topic and I don't
want to change the license info on my own without confirmation from others
involved. Anything else left besides this?
Comment 16 Patrice Dumas 2007-09-11 05:57:06 EDT
(In reply to comment #15)
> OLPC logos isn't going to be bumped in parallel for new Fedora releases. I am
> not sure it makes sense to do it now unless it is going to continuously
> maintained that way. 

fine for me.

> The interaction between trademark and copyright is a complex topic and I don't
> want to change the license info on my own without confirmation from others
> involved. Anything else left besides this?

Nothing else left. 

I understand that the olpc-logos is specific with regard with 
license and trademark, and I am ok with any kind of license 
and trademark, it is just that it should be clear what the
terms are.

If you are in a hurry you can consider this approved, although
I would have preferred to have clear terms.
Comment 17 Rahul Sundaram 2007-09-11 06:06:41 EDT
I will follow up on this and fix the spec file licensing tag and related
information if needed. For now I am applying to get this built since this is one
of the last packages waiting for the entire OLPC to move to using Fedora
infrastructure. Thanks for the review. 
Comment 18 Rahul Sundaram 2007-09-11 06:09:18 EDT
New Package CVS Request
=======================
Package Name: olpc-logos
Short Description: OLPC-related icons and pictures
Owners: sundaram,johnp
Branches: OLPC-2
InitialCC: sundaram,johnp
Cvsextras Commits: yes
Comment 19 Kevin Fenzi 2007-09-11 12:19:51 EDT
cvs done.
Comment 20 Patrice Dumas 2007-11-28 16:05:37 EST
This bug should be closed.

Note You need to log in before you can comment on or make changes to this bug.